SystemOrganization addCategory: 'OrbeonBizagiReader2_Tests'!

TestCase subclass: #XPDLReader2Test2
	instanceVariableNames: 'reader'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBizagiReader2_Tests'!

!XPDLReader2Test2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 10/26/2015 11:04'!
activitiesNames2Test
	| taskNames |

	taskNames := #('analyze-issue' 'report-fixes' 'internal-test').

	self assert: (self getFixIssueWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getTaskNodes size = taskNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 3 activities' stamp: 'BrunoBB 10/26/2015 11:04'!
activitiesNames3Test
	| taskNames |

	taskNames := #('analyze-developer-report' 'report-workaround' 'report-solution').

	self assert: (self getReportToArchitectWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getReportToArchitectWorkflow getTaskNodes size = taskNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 10/26/2015 11:03'!
activitiesNamesTest
	| taskNames |

	taskNames := #('test-case' 'execute-test' 'test-ok' 'analyze-issue-report').

	self assert: (self getTestCaseWorkflow getTaskNodes allSatisfy: [:each | taskNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getTaskNodes size = taskNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 10/26/2015 11:04'!
gatewaysNames2Test
	| gatewaysNames |

	gatewaysNames := #('can fix').

	self assert: (self getFixIssueWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 3 activities' stamp: 'BrunoBB 10/26/2015 11:04'!
gatewaysNames3Test
	| gatewaysNames |

	gatewaysNames := #('has-solution').

	self assert: (self getReportToArchitectWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getReportToArchitectWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 10/26/2015 11:03'!
gatewaysNamesTest
	| gatewaysNames |

	gatewaysNames := #('is-issue' 'accept-issue').

	self assert: (self getTestCaseWorkflow getGatewayNodes allSatisfy: [:each | gatewaysNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getGatewayNodes size = gatewaysNames size).! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 11:01'!
getFixIssuePool

	^reader getPoolNamed: 'fix-issue' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 10:59'!
getFixIssueWorkflow

	^reader getWorkflowNamed: 'fix-issue' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 11:01'!
getReportToArchitectPool

	^reader getPoolNamed: 'architect-process' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 11:00'!
getReportToArchitectWorkflow

	^reader getWorkflowNamed: 'architect-process' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 11:01'!
getTestCasePool

	^reader getPoolNamed: 'test-case-process' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 10:59'!
getTestCaseWorkflow

	^reader getWorkflowNamed: 'test-case-process' ifNone: [self assert: false]! !

!XPDLReader2Test2 methodsFor: 'test proc 2 inout transitions' stamp: 'BrunoBB 10/26/2015 11:06'!
inTransitions2Test
	| process transition task1 gateway |

	process := self getFixIssueWorkflow.

	task1 := process getTaskNamed: 'analyze-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-analyze' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-fix' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'report-fixes' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-report' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'no-fix-report' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'internal-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'do-internal-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'architect-done' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'finish-internal-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).! !

!XPDLReader2Test2 methodsFor: 'test proc 3 inout transitions' stamp: 'BrunoBB 10/26/2015 11:07'!
inTransitions3Test
	| process transition task1 gateway |

	process := self getReportToArchitectWorkflow.

	task1 := process getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-dev-analysis' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-a-solution' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'report-workaround' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-workaround' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'report-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-solution' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-solution' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-workaround' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 inout transitions' stamp: 'BrunoBB 10/26/2015 11:06'!
inTransitionsTest
	| process transition task1 gateway |

	process := self getTestCaseWorkflow.

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'start-case' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getTaskNamed: 'execute-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'run-test' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-issue' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getTaskNamed: 'test-ok' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-ok' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'report-issue' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-report' ifNone: [self assert: false].
	self assert: (gateway inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'reject-issue' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getEndNodeNamed: 'end' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-finished' ifNone: [self assert: false].
	self assert: (task1 inTransitions first == transition).

	task1 := process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'fix' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-again' ifNone: [self assert: false].
	self assert: (task1 inTransitions last == transition).! !

!XPDLReader2Test2 methodsFor: 'test proc 2 lanes' stamp: 'BrunoBB 10/26/2015 11:33'!
objectsInLanes2Test
	| pool workflow lane1 |

	pool := self getFixIssuePool.
	workflow := self getFixIssueWorkflow.

	lane1 := pool getLaneNamed: 'developer' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'analyze-issue' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-issue' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'can fix' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'can fix' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-fixes' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-fixes' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'internal-test' ifNone: [self assert: false]) == (workflow getTaskNamed: 'internal-test' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-to-architect' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false])).! !

!XPDLReader2Test2 methodsFor: 'test proc 3 lanes' stamp: 'BrunoBB 10/26/2015 11:32'!
objectsInLanes3Test
	| pool workflow lane1 |

	pool := self getReportToArchitectPool.
	workflow := self getReportToArchitectWorkflow.

	lane1 := pool getLaneNamed: 'architect' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane1 getAnyObjectNamed: 'analyze-developer-report' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'has-solution' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'has-solution' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-workaround' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-workaround' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'report-solution' ifNone: [self assert: false]) == (workflow getTaskNamed: 'report-solution' ifNone: [self assert: false])).

	self assert: ((lane1 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == (workflow getEndNodeNamed: 'end' ifNone: [self assert: false])).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 lanes' stamp: 'BrunoBB 10/26/2015 11:09'!
objectsInLanesTest
	| pool workflow lane1 lane2 lane3 |

	pool := self getTestCasePool.
	workflow := self getTestCaseWorkflow.

	lane1 := pool getLaneNamed: 'developer' ifNone: [self assert: false].
	lane2 := pool getLaneNamed: 'test-expert' ifNone: [self assert: false].
	lane3 := pool getLaneNamed: 'tester' ifNone: [self assert: false].

	self assert: ((lane1 getAnyObjectNamed: 'fix-issue' ifNone: [self assert: false]) == (workflow getSubprocessNamed: 'fix-issue' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'start' ifNone: [self assert: false]) == workflow startNode).

	self assert: ((lane2 getAnyObjectNamed: 'analyze-issue-report' ifNone: [self assert: false]) == (workflow getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'accept-issue' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'accept-issue' ifNone: [self assert: false])).

	self assert: ((lane2 getAnyObjectNamed: 'end' ifNone: [self assert: false]) == (workflow getEndNodeNamed: 'end' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'execute-test' ifNone: [self assert: false]) == (workflow getTaskNamed: 'execute-test' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'is-issue' ifNone: [self assert: false]) == (workflow getGatewayNamed: 'is-issue' ifNone: [self assert: false])).

	self assert: ((lane3 getAnyObjectNamed: 'test-ok' ifNone: [self assert: false]) == (workflow getTaskNamed: 'test-ok' ifNone: [self assert: false])).! !

!XPDLReader2Test2 methodsFor: 'test proc 2 inout transitions' stamp: 'BrunoBB 10/26/2015 11:06'!
outTransitions2Test
	| process transition task1 gateway |

	process := self getFixIssueWorkflow.
	transition := process getTransitionNamed: 'start-analyze' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-fix' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-report' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	gateway := process getGatewayNamed: 'can fix' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'no-fix-report' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	task1 := process getTaskNamed: 'report-fixes' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'do-internal-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'architect-done' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'internal-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'finish-internal-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReader2Test2 methodsFor: 'test proc 3 inout transitions' stamp: 'BrunoBB 10/26/2015 11:07'!
outTransitions3Test
	| process transition task1 gateway |

	process := self getReportToArchitectWorkflow.
	transition := process getTransitionNamed: 'start-dev-analysis' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'analyze-developer-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-a-solution' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-workaround' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'has-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'create-solution' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'report-workaround' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-workaround' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'report-solution' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'end-solution' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 inout transitions' stamp: 'BrunoBB 10/26/2015 11:06'!
outTransitionsTest
	| process transition task1 gateway |

	process := self getTestCaseWorkflow.
	transition := process getTransitionNamed: 'start-case' ifNone: [self assert: false].
	self assert: (process startNode outTransitions last == transition).

	task1 := process getTaskNamed: 'test-case' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'run-test' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	task1 := process getTaskNamed: 'execute-test' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-issue' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-ok' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	gateway := process getGatewayNamed: 'is-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'report-issue' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	task1 := process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'evaluate-report' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'reject-issue' ifNone: [self assert: false].
	self assert: (gateway outTransitions first == transition).

	gateway := process getGatewayNamed: 'accept-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'fix' ifNone: [self assert: false].
	self assert: (gateway outTransitions last == transition).

	task1 := process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false].
	transition := process getTransitionNamed: 'test-again' ifNone: [self assert: false].
	self assert: (task1 outTransitions last == transition).! !

!XPDLReader2Test2 methodsFor: 'other' stamp: 'BrunoBB 10/26/2015 10:39'!
setUp

	reader := (XPDLReader2 for: 'TestCase' withString: XPDLProcessTemplate xpdlExample_ProcessTestCase)
				addXPDLDocument: (XMLDOMParser parse: XPDLProcessTemplate xpdlExample_ProcessFixIssue) namedAs: 'FixIssue';
				addXPDLDocument: (XMLDOMParser parse: XPDLProcessTemplate xpdlExample_ProcessReportToArchitect) namedAs: 'ReportToArchitect';
				yourself! !

!XPDLReader2Test2 methodsFor: 'test subprocess' stamp: 'BrunoBB 10/26/2015 13:06'!
subProcessesConnectionTest

	self assert: (
		(reader getPoolNamed: 'test-case-process' ifNone: [self assert: false]) getSubProcessNodes asArray last subProcess ==
		(reader getPoolNamed: 'fix-issue' ifNone: [self assert: false])
	).

	self assert: (
		(reader getPoolNamed: 'fix-issue' ifNone: [self assert: false]) getSubProcessNodes asArray last subProcess ==
		(reader getPoolNamed: 'architect-process' ifNone: [self assert: false])
	).! !

!XPDLReader2Test2 methodsFor: 'test proc 2 activities' stamp: 'BrunoBB 10/26/2015 11:04'!
subProcessNames2Test
	| subprocessesNames |

	subprocessesNames := #('report-to-architect').

	self assert: (self getFixIssueWorkflow getSubProcessNodes allSatisfy: [:each | subprocessesNames includes: each getName]).

	self assert: (self getFixIssueWorkflow getSubProcessNodes size = subprocessesNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 1 activities' stamp: 'BrunoBB 10/26/2015 11:03'!
subProcessNamesTest
	| subprocessesNames |

	subprocessesNames := #('fix-issue').

	self assert: (self getTestCaseWorkflow getSubProcessNodes allSatisfy: [:each | subprocessesNames includes: each getName]).

	self assert: (self getTestCaseWorkflow getSubProcessNodes size = subprocessesNames size).! !

!XPDLReader2Test2 methodsFor: 'test proc 2 conditions' stamp: 'BrunoBB 10/26/2015 11:06'!
transitionCreateReportConditionsTest
	| process transition |

	process := self getFixIssueWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-fixes' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form developerCanFix = ''yes'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 3 conditions' stamp: 'BrunoBB 10/26/2015 11:07'!
transitionCreateSolutionConditionsTest
	| process transition |

	process := self getReportToArchitectWorkflow.

	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-solution' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form hasSolution = ''yes'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 3 conditions' stamp: 'BrunoBB 10/26/2015 11:07'!
transitionCreateWorkaroundConditionsTest
	| process transition |

	process := self getReportToArchitectWorkflow.

	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'report-workaround' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form hasSolution = ''no'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 10/26/2015 11:05'!
transitionFixIssueConditionsTest
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getSubprocessNamed: 'fix-issue' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form acceptOrReject = ''accept'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 2 conditions' stamp: 'BrunoBB 10/26/2015 11:06'!
transitionNoFixReportConditionsTest
	| process transition |

	process := self getFixIssueWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getSubprocessNamed: 'report-to-architect' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form developerCanFix = ''no'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 10/26/2015 11:05'!
transitionRejectIssueConditionsTest
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | (each endNode == (process getEndNodeNamed: 'end' ifNone: [self assert: false]))
		and: [each startNode isGatewayNode]
	].

	self assert: (transition startCondition = '[:form | form acceptOrReject = ''reject'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 10/26/2015 11:05'!
transitionReportIssueConditionsTest
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'analyze-issue-report' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form result = ''failed'']')! !

!XPDLReader2Test2 methodsFor: 'test proc 1 conditions' stamp: 'BrunoBB 10/26/2015 11:05'!
transitionTestOkConditionsTest
	| process transition |

	process := self getTestCaseWorkflow.
	transition := process transitions detect: [:each | each endNode == (process getTaskNamed: 'test-ok' ifNone: [self assert: false])].

	self assert: (transition startCondition = '[:form | form result ~= ''failed'']')! !
